phing-system-io

# Class: BufferedWriter Source Location: /system/io/BufferedWriter.php
### Class Overview
    Writer
       |
       --BufferedWriter
Convenience class for writing files. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 552 $ | ### Methods __construct close flush getResource newLine write
### Inherited Methods #### Class: Writer Writer::close() Close the stream. Writer::flush() Flush the stream, if supported by the stream. Writer::getResource() Returns a string representation of resource filename, url, etc. that is being written to. Writer::write() Writes data to output stream.
### Class Details [line 31] Convenience class for writing files. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 552 $
[ Top ] ### Class Methods ### constructor __construct [line 43]
`BufferedWriter __construct( Writer $writer, [ $buffsize = 8192])`
#### Tags:
access: | public
#### Parameters:
Writer | $writer |
| $buffsize |
[ Top ] ### method close [line 67]
`void close( )`
Close attached stream. #### Tags:
access: | public
Overrides Writer::close() (Close the stream.) [ Top ] ### method flush [line 60]
`void flush( )`
#### Tags:
access: | public
Overrides Writer::flush() (Flush the stream, if supported by the stream.) [ Top ] ### method getResource [line 56]
`void getResource( )`
#### Tags:
access: | public
Overrides Writer::getResource() (Returns a string representation of resource filename, url, etc. that is being written to.) [ Top ] ### method newLine [line 52]
`void newLine( )`
#### Tags:
access: | public
[ Top ] ### method write [line 48]
`void write( $buf, [ $off = null], [ $len = null])`
#### Tags:
access: | public
Overrides Writer::write() (Writes data to output stream.) #### Parameters:
| $buf |
| $off |
| $len |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:25 +0200 by phpDocumentor 1.4.3